How to Change the LabVIEW Version TestStand Uses

Updated Jul 23, 2018

Reported In

Software

  • TestStand

Issue Details

I have multiple versions of LabVIEW installed on my computer. How can I change the Active Version in TestStand's LabVIEW Adapter so that I can work with my other versions?

Solution

  1. Open TestStand.
  2. Open the version of LabVIEW you wish to use if you want to change the Development System version.  This will cause it to be made the active version.
  3. In TestStand, navigate to Configure » Adapters.
  1. Select LabVIEW in the Adapters column and press Configure.
  1. If you do not want to edit or debug VIs from TestStand, you may want to select LabVIEW Run-Time Engine.  As of TestStand 2010, you can choose to auto detect the version of the run time engine needed, so that you can run VIs in the same sequence that are not all the same version.  If you are using an older version of TestStand, you can only choose one version, which must match the versions of all the VIs in the sequence.

    If you do want to edit or debug VIs, select the second radio button, Development System, which will show you the active version of LabVIEW TestStand will use.  

Additional Information

For more information on the LabVIEW adapter, see Using LabVIEW and LabWindows/CVI with TestStand

WAS THIS ARTICLE HELPFUL?

Not Helpful